Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.connector.extensions
Interface ExtendedBootstrapContext

All Superinterfaces:
  BootstrapContext

    public interface ExtendedBootstrapContext

extends BootstrapContext

This class provides WebLogic extensions to the standard javax.resource.spi.BootstrapContext. Any customer wishing to access these features simply needs to cast the BootstrapContext received on the ResourceAdapter bean .start() method to ExtendedBootstrapContext

Method Summary
`void` | `complete()` To be called by RA when all activity has quiesced and it is safe to undeploy the adapter.
`String` | `getDiagnosticContextID()`
`byte` | `getDyeBits()` Sets the low-order 4 bits as a "dye" on the current thread.
`void` | `setDiagnosticContextID(String id)` Sets the specified String in the Diagnostic Context payload associated with the current Thread.
`void` | `setDyeBits(byte bits)` Sets the low-order 4 bits as a "dye" on the current thread.

Methods inherited from interface javax.resource.spi.BootstrapContext
`createTimer, getWorkManager, getXATerminator`

Method Detail

### setDiagnosticContextID

    void setDiagnosticContextID(String id)

  Sets the specified String in the Diagnostic Context payload associated with the current Thread. This can be used to trace client requests all the way through the system from inbound messages coming in on a proprietary mechanism in the resource adapter.

  Parameters:
    `String` - the id to set in the diagnostic context payload

### getDiagnosticContextID

    String getDiagnosticContextID()

  Returns:
    String the diagnostic payload id set on the current thread or null if not set.

### setDyeBits

    void setDyeBits(byte bits)
                    throws ResourceException

  Sets the low-order 4 bits as a "dye" on the current thread. Can be used to mark the thread ala the Diagnostic Framework request dyeing.

  Parameters:
    `bits` - -- the bits to set as the "dye"
  Throws:
    `ResourceException`

### getDyeBits

    byte getDyeBits()
                    throws ResourceException

  Sets the low-order 4 bits as a "dye" on the current thread. Can be used to mark the thread ala the Diagnostic Framework request dyeing.

  Returns:
    the bits set as the "dye" on the current thread
  Throws:
    `ResourceException`

### complete

    void complete()

  To be called by RA when all activity has quiesced and it is safe to undeploy the adapter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD